@font-face {
    font-family: 'Epom';
    src: url("../fonts/Epom-Bold.ttf");
    font-weight: 700;
    font-display: swap;
}

.quiz {
    color: #fff;
    position: relative;
    max-width: 700px;
    height: 700px;
    margin: 30px auto 0;
    overflow: hidden;
}

.quiz-start-step {
    padding: 190px 40px 40px;
    background: #060028;
    transition: all 0.35s linear;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.quiz-start-step.hide {
    visibility: hidden;
    pointer-events: none;
    transform: translateX(-200%);
    transition: all 0.35s linear;
}

.article h4.quiz-start-title {
    font: 600 40px/48px "Jokker";
    margin: 0 0 16px;
    color: #fff;
}
.article h4.quiz-start-title span {
    font: 700 24px/26px "Epom";
    color: #56BE87;
    margin-bottom: 4px;
    display: block;
}

.article p.quiz-start-text {
    font: 400 18px/28px "Figtree";
    color: #fff;
    margin: 0 0 40px;
    max-width: 500px;
}

.article img.quiz-icon-1 {
    position: absolute;
    top: -20px;
    right: -8px;
    width: 274px;
    height: 130px;
    margin: 0;
}

.article img.quiz-icon-2 {
    position: absolute;
    top: 282px;
    right: 64px;
    width: 41px;
    height: 60px;
    margin: 0;
}

.article img.quiz-icon-3 {
    position: absolute;
    bottom: 18px;
    right: 25px;
    width: 173px;
    height: 203px;
    margin: 0;
}

.article div.quiz-start-btn {
    color: #060028;
    font: 700 16px/24px "Figtree";
    padding: 14px 44px;
    background: #FFD964;
    border-radius: 100px;
    display: inline-block;
    cursor: pointer;
    transition: 0.25s;
}

.article div.quiz-start-btn:hover {
    background: #5273EF;
    color: #fff;
    transition: 0.25s;
}

.article .quiz-questions-images {
    height: 322px;
    width: 100%;
    position: relative;
}

.article .quiz-questions-images .img-box {
    opacity: 0;
    transition: all 0.25s ease-in-out;
    position: absolute;
    transform: scale(0) translate(-50%, -50%);
    top: 50%;
    left: 50%;
}

.article .quiz-questions-images .img-box.active {
    opacity: 1;
    transition: all 0.25s ease-in-out;
    position: relative;
    transform: scale(1) translate(-50%, -50%);
}

.article .quiz-questions-images .quiz-questions-img {
    height: 100%;
    width: auto;
    margin: 0 auto;
    transition: 0.25s;
}

.article .quiz-questions-images .quiz-questions-img.active {
    opacity: 1;
    position: static;
    transition: 0.25s;
}

.article .quiz-questions {
    padding: 100px 32px 32px;
    background: #FCF9F3;
    text-align: center;
    height: 100%;
}

.quiz-questions-counter {
    position: absolute;
    top: 24px;
    right: 24px;
    font: 400 20px/22px "Figtree";
    color: rgba(6, 0, 40, 0.3);
}

.quiz-questions-counter span {
    color: #060028;
}

.article .quiz-questions-title {
    font: 700 28px/30px "Figtree";
    margin: 0 0 40px;
}

.article .quiz-questions-bottom {
    margin-top: 25px;
    width: 100%;
}

.article .quiz-questions-btns {
    display: flex;
    align-items: center;
    justify-content: center;
}

.article .quiz-questions-btns.hide {
    display: none;
}

.article .quiz-questions-btn {
    display: inline-block;
    width: 164px;
    padding: 14px;
    text-align: center;
    color: #060028;
    background: transparent;
    border: 2px solid #5273EF;
    border-radius: 100px;
    font: 700 16px/24px "Figtree";
    cursor: pointer;
    transition: 0.25s;
}

.article .quiz-questions-btn:nth-child(2) {
    margin: 0 16px;
}

.article .quiz-questions-btn:hover {
    background: #5273EF;
    color: #fff;
    transition: 0.25s;
}

.article .quiz-questions-result {
    border: 2px solid #000;
    padding: 16px;
    border-radius: 8px;
    text-align: center;
    width: 100%;
    display: none;
}

.article .quiz-questions-result.true {
    display: block;
    border: 2px solid #56BE87;
}

.article .quiz-questions-result.true p.true {
    display: block;
}

.article .quiz-questions-result.true p b {
    color: #56BE87;
}

.article .quiz-questions-result.false {
    display: block;
    border: 2px solid #FF8C67;
}

.article .quiz-questions-result.false p.false {
    display: block;
}

.article .quiz-questions-result.false p b {
    color: #FF8C67;
}

.article .quiz-questions-result p {
    text-align: center;
    color: #060028;
    font: 400 16px/24px "Figtree";
    margin: 0 auto 15px;
    display: none;
}

.article .quiz-questions-result p.active {
    display: block;
}

.article .quiz-questions-result p span {
    display: none;
}

.article .quiz-questions-result span.active {
    display: block;
}

.article .quiz-questions-result .next-questions {
    display: inline-block;
    padding: 14px 38px;
    border-radius: 100px;
    background: #060028;
    color: #fff;
    font: 700 14px/24px "Figtree";
    cursor: pointer;
    transition: 0.25s;
}

.article .quiz-questions-result .next-questions:hover {
    background: #5273EF;
    color: #fff;
    transition: 0.25s;
}

@media(max-width: 639px) {
    .quiz {
        height: 535px;
    }
    .quiz-start-step {
        padding: 110px 16px;
    }
    .article h4.quiz-start-title {
        font: 600 32px/40px "Jokker";
        margin-bottom: 8px;
    }
    .article h4.quiz-start-title span {
        font: 700 20px/22px "Figtree";
        margin-bottom: 8px;
    }
    .article p.quiz-start-text {
        font: 400 14px/24px "Figtree";
        margin-bottom: 32px;
    }
    .article div.quiz-start-btn {
        padding: 14px 44px;
        font: 700 16px/24px "Figtree";
    }
    .article img.quiz-icon-1 {
        width: 167px;
        height: 88px;
        top: -10px;
        right: -5px;
    }
    .article img.quiz-icon-2 {
        display: none;
    }
    .article img.quiz-icon-3 {
        width: 113px;
        height: 134px;
        bottom: 17px;
        right: 16px;
    }
    .article .quiz-questions {
        padding: 40px 16px 16px
    }
    .quiz-questions-counter {
        font: 400 16px/24px "Figtree";
        top: 16px;
        right: 16px;
    }
    .article .quiz-questions-title {
        font: 700 20px/22px "Figtree";
        margin-bottom: 28px;
    }
    .article .quiz-questions-images {
        height: 200px;
    }
    .article .quiz-questions-images .img-box {
        height: 100%;
    }
    .article .quiz-questions-images .img-box.img-1,
    .article .quiz-questions-images .img-box.img-3 {
        max-height: 200px;
    }

    .article .quiz-questions-images .img-box.img-2,
    .article .quiz-questions-images .img-box.img-4 {
        max-height: 128px;
    }

    .article .quiz-questions-bottom {
        margin-top: 28px;
    }
    .article .quiz-questions-result {
        padding: 16px;
    }
    .article .quiz-questions-result p {
        font: 400 15px/24px "Figtree";
        margin: 0 auto 16px;
    }
    .article .quiz-questions-result .next-questions {
        padding: 14px 38px;
        font: 700 14px/24px "Figtree";
    }
    .article .quiz-questions-result.false p br {
        display: none;
    }
    .article .quiz-questions-btns {
        flex-direction: column;
    }
    .article .quiz-questions-btn {
        display: block;
        max-width: 310px;
        width: 100%;
        margin: 0 auto 12px;
        text-align: center;
        padding: 14px;
        font: 700 14px/15px "Figtree";
    }
    .article .quiz-questions-btn:nth-child(2) {
        margin: 0 auto 12px;
    }
    .quiz-questions-counter {
        font: 400 14px/18px "Figtree";
        top: 12px;
        right: 12px;
    }
}